​
Select Service
ves-io-schema-views-origin_pool-API-List
Published April 5, 2023 | Last modified June 17, 2026
Examples of listing origin_pool
Usecase:
List origin-pool
Request using vesctl:
vesctl configuration list origin_pool --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: ves.io/app_type: bookinfo name: productpage namespace: documentation tenant: acmecorp uid: f889d9e8-222f-4bcf-bb79-f3720161c0bdRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/origin_pools'curl response
HTTP/1.1 200 OKContent-Length: 448Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:02:44 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "productpage", "uid": "f889d9e8-222f-4bcf-bb79-f3720161c0bd", "description": "", "disabled": false, "labels": { "ves.io/app_type": "bookinfo" }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null } ], "errors": [ ]}